ru.bitel.bgbilling.modules.tinkoff.server.event

## Class TinkoffAutopaymentSumEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.tinkoff.server.event.TinkoffAutopaymentSumEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TinkoffAutopaymentSumEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkoffAutopaymentSumEvent()`
    `TinkoffAutopaymentSumEvent(int moduleId, int contractId, java.math.BigDecimal sum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getSum()`
    `void` | `setSum(java.math.BigDecimal sum)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TinkoffAutopaymentSumEvent

          public TinkoffAutopaymentSumEvent()

    - #### TinkoffAutopaymentSumEvent

          public TinkoffAutopaymentSumEvent(int moduleId,
                                            int contractId,
                                            java.math.BigDecimal sum)

  - ### Method Detail

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)